/*    Zonic the Hog.  A silly Sonic-like game written for Speedhack 2007
 *    Copyright (c) 2007 Steven Wallace / Chedda Cheeze
 *    email: steven.t.wallace @ gmail. com
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License along
 *    with this program; if not, write to the Free Software Foundation, Inc.,
 *    51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 */
 
 


#ifndef _APPLE_H
#define _APPLE_H


class Apple {
public:
	Apple(int x, int y, int type);
	~Apple() {}
		
		
	bool Update(float dt);
	void Draw(struct BITMAP *buffer, int cx, int cy);
		
		
	int GetX() { return (int)x; }
	int GetY() { return (int)y; }
	int GetType() { return type; }
	
	
	void Activate() { activated = true; }
	
	// Makes the object inobtainable
	void Invalidate() { valid = false; }
	
	void SetVelocities(float xx, float yy) { dx = xx; dy = yy; }
		
		
private:
	float x, y;
	float dx, dy;
	bool activated, chasePlayer, valid;
	int type;
};



#endif // _APPLE_H
